### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XLlTemac_Config Struct Reference

## Detailed Description

This typedef contains configuration information for a TEMAC channel. Each channel is treated as a separate device from the point of view of this driver.

## Data Fields

u16 | DeviceId
u32 | BaseAddress
u8 | TxCsum
u8 | RxCsum
u8 | PhyType
u8 | TxVlanTran
u8 | RxVlanTran
u8 | TxVlanTag
u8 | RxVlanTag
u8 | TxVlanStrp
u8 | RxVlanStrp
u8 | ExtMcast
u8 | TemacIntr
int | LLDevType
u32 | LLDevBaseAddress
u8 | LLFifoIntr
u8 | LLDmaRxIntr
u8 | LLDmaTxIntr

## Field Documentation

u32 XLlTemac_Config::BaseAddress

| BaseAddress is the physical base address of the channel's registers

u16 XLlTemac_Config::DeviceId

| DeviceId is the unique ID of the device

u8 XLlTemac_Config::ExtMcast

| Extend multicast indication

u32 XLlTemac_Config::LLDevBaseAddress

| LLDevBaseAddress is the base address of then device attached to the temac's local link interface.

int XLlTemac_Config::LLDevType

| LLDevType is the type of device attached to the temac's local link interface.

u8 XLlTemac_Config::LLDmaRxIntr

| LL DMA RX interrupt ID (unused if FIFO)

u8 XLlTemac_Config::LLDmaTxIntr

| LL DMA TX interrupt ID (unused if FIFO)

u8 XLlTemac_Config::LLFifoIntr

| LL FIFO interrupt ID (unused if DMA)

u8 XLlTemac_Config::PhyType

| PhyType indicates which type of PHY interface is used (MII, GMII, RGMII, ect.

u8 XLlTemac_Config::RxCsum

| RxCsum indicates that the channel has checksum offload on the Rx channel or not.

u8 XLlTemac_Config::RxVlanStrp

| RX VLAN stripping indication

u8 XLlTemac_Config::RxVlanTag

| RX VLAN tagging indication

u8 XLlTemac_Config::RxVlanTran

| RX VLAN Translation indication

u8 XLlTemac_Config::TemacIntr

| TEMAC interrupt ID

u8 XLlTemac_Config::TxCsum

| TxCsum indicates that the channel has checksum offload on the Tx channel or not.

u8 XLlTemac_Config::TxVlanStrp

| TX VLAN stripping indication

u8 XLlTemac_Config::TxVlanTag

| TX VLAN tagging indication

u8 XLlTemac_Config::TxVlanTran

| TX VLAN Translation indication

The documentation for this struct was generated from the following file:

- xlltemac.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.